package com.vetti.common.ai.elevenLabs.vo;

/**
 * 语音设置
 */
public class VoiceSettings {

    /**
     * 设置语速
     */
    private double rate;
    // 可选：其他语音配置（如稳定性stability、相似度boost，默认无需设置）
    private double stability;

    private double similarity_boost;

    private double start_time;

    private double clarity;

    private double speed;
//
//    private double style;
//
//    private Boolean use_speaker_boost;

    public VoiceSettings(double stability, double similarity_boost, double rate,double start_time,double clarity, double speed) {
        this.stability = stability;
        this.similarity_boost = similarity_boost;
        this.rate = rate;
        this.start_time = start_time;
        this.clarity = clarity;
        this.speed = speed;
//        this.style = style;
//        this.use_speaker_boost = use_speaker_boost;
    }

    // getter方法
    public double getStability() {
        return stability;
    }

    public double getSimilarity_boost() {
        return similarity_boost;
    }

    public double getRate() { return rate; }


    public double getStart_time() {
        return start_time;
    }

    public double getClarity() {
        return clarity;
    }

    public double getSpeed() {
        return speed;
    }

//    public double getStyle() {
//        return style;
//    }
//
//    public Boolean getUse_speaker_boost() {
//        return use_speaker_boost;
//    }
}
